/*
 * $Id: top_deallocation.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 * Test
 */
#include "Behavioural/Generic/Queue/SelfTest/include/top.h"
#include "Behavioural/include/Allocation.h"

void top::deallocation (void)
{
#ifdef SYSTEMC
  delete             in_CLOCK;
  DELETE0_SC_SIGNAL( in_NRESET);

  DELETE0_SC_SIGNAL( in_INSERT_VAL );
  DELETE0_SC_SIGNAL(out_INSERT_ACK );
  DELETE0_SC_SIGNAL( in_INSERT_DATA);
  DELETE0_SC_SIGNAL(out_RETIRE_VAL );
  DELETE0_SC_SIGNAL( in_RETIRE_ACK );
  DELETE0_SC_SIGNAL(out_RETIRE_DATA);
  DELETE1_SC_SIGNAL(out_SLOT_VAL   ,_param->_nb_port_slot);
  DELETE1_SC_SIGNAL(out_SLOT_DATA  ,_param->_nb_port_slot);
  DELETE0_SC_SIGNAL(out_PTR_WRITE  );
  DELETE0_SC_SIGNAL(out_PTR_READ   );
#endif

  delete component;
#ifdef STATISTICS
  delete _param_stat;
#endif
}
